# BarcodeCameraConfiguration class

Inheritance
  - Object
  - BaseCameraConfiguration
  - BarcodeCameraConfiguration
Annotations
  - @JsonSerializable(createFactory: false, includeIfNull: false, explicitToJson: true)

## Constructors

BarcodeCameraConfiguration({required BarcodeClassicScannerConfiguration scannerConfiguration, bool? flashEnabled, bool? hardwareButtonsEnabled, FinderConfiguration? finder, double? cameraZoomFactor, ZoomRange? cameraZoomRange, CameraModule? cameraModule, bool? minFocusDistanceLock, SelectionOverlayScannerConfiguration? overlayConfiguration, bool detectionEnabled = true})

## Properties

cameraModule ↔ CameraModule?
  The camera module to be used for barcode scanning. The default value is BACK.
  getter/setter pair
cameraZoomFactor ↔ double?
  Set current zoom by a linear zoom value ranging from 0f to 1.0f. It maps to the range of real values of 1x-12x zoom. If device os not supporting some part of this range the closest value will be taken. Optical Zoom Level 0f represents the minimum zoom(1x) while Optical Zoom Level 1.0f represents the maximum zoom(12x). Default value is 0f.
  getter/setter pair
cameraZoomRange ↔ ZoomRange?
  The range of valid camera zoom factors. Default value is (1.0; 12.0).
  getter/setter pair
detectionEnabled ↔ bool
  Controls whether the frame detection should be enabled.
  getter/setter pair
detectorType → DetectorType
  final
finder ↔ FinderConfiguration?
  Configuration of the finder window.
  getter/setter pair
flashEnabled ↔ bool?
  Controls whether the flash should be initially enabled. The default value is FALSE.
  getter/setter pair
handleCameraInAppBackgroundAutomatically ↔ bool
  getter/setter pair inherited
hardwareButtonsEnabled ↔ bool?
  Controls whether the hardware volume buttons and the new hardware camera control button should snap or not. iOS only
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
minFocusDistanceLock ↔ bool?
  Lock focus distance withing minimum possible range
  getter/setter pair
overlayConfiguration ↔ SelectionOverlayScannerConfiguration?
  The configuration of AR selection overlay.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
scannerConfiguration ↔ BarcodeClassicScannerConfiguration
  Configuration of the barcode scanner detection behavior eg. which barcode types to detect etc.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited